MINTPY-TEMPORAL_AVERAGE(1)

NAME
mintpy-temporal_average - Calculate temporal average (stacking) of multi-temporal datasets

DESCRIPTION
usage: temporal_average.py [-h] [-d DATASETNAME] [-o OUTFILE] [--update] file

Calculate temporal average (stacking) of multi-temporal datasets

  positional arguments:

file
    input file with multi-temporal datasets

  options:

-h, --help
    show this help message and exit

-d DATASETNAME, --ds DATASETNAME, --dataset DATASETNAME
    dataset name to be averaged, for file with multiple dataset family, e.g. ifgramStack.h5 default: coherence

-o OUTFILE, --outfile OUTFILE
    output file name

--update
    Enable update checking for --nonzero option.

  example:

    temporal_average.py ./inputs/ifgramStack.h5 -d unwrapPhase -o avgPhaseVelocity.h5 temporal_average.py ./inputs/ifgramStack.h5 -d coherence -o avgSpatialCoh.h5